package com.steerinfo.dil.controller;


import com.alibaba.fastjson.JSON;
import com.steerinfo.dil.feign.ESFeign;
import com.steerinfo.dil.model.QmsQueueResult;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.dil.service.IQmsQueueResultService;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.util.*;

/**
 * QmsQueueResult RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-14 11:27
 * 类描述
 * 修订历史：
 * 日期：2021-09-14
 * 作者：generator
 * 参考：
 * 描述：QmsQueueResult RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/qmsqueueresults")
public class QmsQueueResultController extends BaseRESTfulController {

    @Autowired
    IQmsQueueResultService qmsQueueResultService;

    @Autowired
    ColumnDataUtil columnDataUtil;

    @Autowired
    ESFeign esFeign;

    @ApiOperation(value="触发电子围栏-->新增排队实绩")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "", required = false, dataType = "Map"),
    })
    @PostMapping("/addQueueResult")
    public RESTfulResult addQueueResult(@RequestBody(required = false) Map<String, Object> map){
        int i = qmsQueueResultService.addQueueResult(map);
        return success(i);
    }

    @ApiOperation(value="查询排队申请")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(125)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/getQueueApply")
    public RESTfulResult getQueueApply(@RequestBody(required=false) Map<String,Object> mapValue,
                                               Integer apiId,
                                               Integer pageNum,
                                               Integer pageSize,
                                               String con
    ){

        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_queue_apply";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> allQueueApply = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == 0){
            //将查询结果存入索引中
            allQueueApply = qmsQueueResultService.getQueueApply(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_queue_apply");
            //添加id
            map.put("indexId","queueId");
            allQueueApply.add(map);
            //新建索引
            esFeign.insertIndex(allQueueApply);
            //删除
            allQueueApply.remove(allQueueApply.size()-1);
        }
        if(allQueueApply == null)
            allQueueApply = qmsQueueResultService.getQueueApply(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> listMonitor = qmsQueueResultService.getQueueApply(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, allQueueApply,listMonitor);
        return success(pageList);
    }

    @ApiOperation(value="查询执行中订单")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(156)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })
    @PostMapping("/getAllExecutionOrder")
    public RESTfulResult getAllExecutionOrder(@RequestBody(required=false) Map<String,Object> mapValue,
                                       Integer apiId,
                                       Integer pageNum,
                                       Integer pageSize,
                                       Integer orderType,
                                       Integer status,
                                       String con
    ){
        if(mapValue == null){
            mapValue = new HashMap<>();
        }
        mapValue.put("orderTypee", orderType);
        mapValue.put("orderStatus", status);
        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_all_execution";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllExecutionOrder = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == 2){
            //将查询结果存入索引中
            AllExecutionOrder = qmsQueueResultService.getAllExecutionOrder(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_all_execution");
            //添加id
            map.put("indexId","executionId");
            AllExecutionOrder.add(map);
            //新建索引
            esFeign.insertIndex(AllExecutionOrder);
            //删除
            AllExecutionOrder.remove(AllExecutionOrder.size()-1);
        }
        if(AllExecutionOrder == null)
            AllExecutionOrder = qmsQueueResultService.getAllExecutionOrder(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> executionOrder = qmsQueueResultService.getAllExecutionOrder(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllExecutionOrder,executionOrder);
        return success(pageList);

    }


    @ApiOperation(value="指令接收")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(130、190)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/orderReceive")
    public RESTfulResult orderReceive(@RequestBody(required=false) Map<String,Object> mapValue,
                                       Integer apiId,
                                       Integer pageNum,
                                       Integer pageSize,
                                       Integer queueType,
                                       String con
    ){
        mapValue.put("queueType", queueType);
        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_order_receive";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllOrderReceive = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == 1){
            //将查询结果存入索引中
            AllOrderReceive = qmsQueueResultService.orderReceive(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_order_receive");
            //添加id
            map.put("indexId","receiveId");
            AllOrderReceive.add(map);
            //新建索引
            esFeign.insertIndex(AllOrderReceive);
            //删除
            AllOrderReceive.remove(AllOrderReceive.size()-1);
        }
        if(AllOrderReceive == null)
            AllOrderReceive = qmsQueueResultService.orderReceive(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> executionOrder = qmsQueueResultService.orderReceive(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllOrderReceive,executionOrder);
        return success(pageList);

    }

    @ApiOperation(value="查询排队开始 网格Id视情况而给 可不给")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(128)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "gridId", value = "仓储网格(筛选)", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "type", value = "类型3：采购、1|2：销售", required = false, dataType = "Integer"),

    })
    @PostMapping("/getQueueListByQueueUp")
    public RESTfulResult getQueueListByQueueUp(@RequestBody(required=false) Map<String,Object> mapValue,
                                       Integer apiId,
                                       Integer pageNum,
                                       Integer pageSize,
                                       Integer gridId,
                                       String con
    ){
        int count = 0;
        if(gridId != null){
            mapValue.put("gridId", gridId);
            count++;
        }
        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_queue_list";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllQueueList = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == count){
            //将查询结果存入索引中
            AllQueueList = qmsQueueResultService.getQueueListByQueueUp(null);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_queue_list");
            //添加id
            map.put("indexId","queueListId");
            AllQueueList.add(map);
            //新建索引
            String s = JSON.toJSONString(AllQueueList);;
            //新建索引
            esFeign.insertIndex(AllQueueList);
            //删除
            AllQueueList.remove(AllQueueList.size()-1);
        }
        if(AllQueueList == null)
            AllQueueList = qmsQueueResultService.getQueueListByQueueUp(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> queueListByQueueUp = qmsQueueResultService.getQueueListByQueueUp(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllQueueList,queueListByQueueUp);
        return success(pageList);
    }

    @ApiOperation(value="查询进厂排队详情")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(184)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/getAllQueueMes")
    public RESTfulResult getAllQueueMes(@RequestBody(required=false) Map<String,Object> mapValue,
                                                 Integer apiId,
                                                 Integer pageNum,
                                                 Integer pageSize,
                                                 Integer gatepostId,
                                                 String con
    ){   int count = 0;
        if(gatepostId != null){
            mapValue.put("gatepostId", gatepostId);
            count++;
        }

        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_queue_mes";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllQueueMes = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == count){
            //将查询结果存入索引中
            AllQueueMes = qmsQueueResultService.getQueueMes(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_queue_mes");
            //添加id
            map.put("indexId","queueMesId");
            AllQueueMes.add(map);
            //新建索引
            esFeign.insertIndex(AllQueueMes);
            //删除
            AllQueueMes.remove(AllQueueMes.size()-1);
        }
        if(AllQueueMes == null)
            AllQueueMes = qmsQueueResultService.getQueueMes(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> queueMes = qmsQueueResultService.getQueueMes(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllQueueMes,queueMes);
        return success(pageList);
    }

    @ApiOperation(value="通过运输订单号查询进厂排队详情")
    @PostMapping("/getQueueMes")
    public RESTfulResult getQueueMes(Map<String, Object> map){
        List<Map<String, Object>> warehouseQueueMes = qmsQueueResultService.getQueueMes(map);
        return success(warehouseQueueMes);
    }

    @ApiOperation(value="查询排队转移")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(124)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/getChangeQueue")
    public RESTfulResult getChangeQueue(@RequestBody(required=false) Map<String,Object> mapValue,
                                               Integer apiId,
                                               Integer pageNum,
                                               Integer pageSize,
                                               String con
    ){

        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_change_queue";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllChangeQueue = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == 0){
            //将查询结果存入索引中
            AllChangeQueue = qmsQueueResultService.getChangeQueueMes(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_change_queue");
            //添加id
            map.put("indexId","changeQueueId");
            AllChangeQueue.add(map);
            //新建索引
            esFeign.insertIndex(AllChangeQueue);
            //删除
            AllChangeQueue.remove(AllChangeQueue.size()-1);
        }
        if(AllChangeQueue == null)
            AllChangeQueue = qmsQueueResultService.getChangeQueueMes(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> changeQueueMes1 = qmsQueueResultService.getChangeQueueMes(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllChangeQueue,changeQueueMes1);
        return success(pageList);
    }

    @ApiOperation(value="查询排队取消")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(131)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/getQueueCancel")
    public RESTfulResult getQueueCancel(@RequestBody(required=false) Map<String,Object> mapValue,
                                               Integer apiId,
                                               Integer pageNum,
                                               Integer pageSize,
                                               Integer gatepostId,
                                               String con
    ){   int count=0;
         if(gatepostId != null){
            mapValue.put("gatepostId", gatepostId);
            count++;
        }

        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_queue_cancel";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllQueueCancel = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == count){
            //将查询结果存入索引中
            AllQueueCancel = qmsQueueResultService.getQueueCancel(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_queue_cancel");
            //添加id
            map.put("indexId","queueCancelId");
            AllQueueCancel.add(map);
            //新建索引
            esFeign.insertIndex(AllQueueCancel);
            //删除
            AllQueueCancel.remove(AllQueueCancel.size()-1);
        }
        if(AllQueueCancel == null)
            AllQueueCancel = qmsQueueResultService.getQueueCancel(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> queueCancel1 = qmsQueueResultService.getQueueCancel(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllQueueCancel,queueCancel1);
        return success(pageList);
    }

    @ApiOperation(value="通过Id查询排队取消实绩")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "resultId", value = "排队取消实绩", required = false, dataType = "Integer"),
    })
    @PostMapping("/getQueueCancelByResultId/{resultId}")
    public RESTfulResult getQueueCancelByResultId(@PathVariable("resultId") Integer resultId){
        List<Map<String, Object>> mes = qmsQueueResultService.getQueueCancelByResultId(resultId);
        return success(mes);
    }

    @ApiOperation(value="修改排队取消实绩：时间、原因")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "qmsQueueResult", value = "排队取消实体类", required = false, dataType = "QmsQueueResult"),
    })
    @PostMapping("/updateQueueCancel")
    public RESTfulResult updateQueueCancel(@RequestBody QmsQueueResult qmsQueueResult){
        int i = qmsQueueResultService.updateQueueCancel(qmsQueueResult);
        return success(i);
    }

    @ApiOperation(value="查询排队插队")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(132)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/getQueueInsert")
    public RESTfulResult getQueueInsert(@RequestBody(required=false) Map<String,Object> mapValue,
                                        Integer apiId,
                                        Integer pageNum,
                                        Integer pageSize,
                                        String con
    ){

        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_queue_insert";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllQueueInsert = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == 0){
            //将查询结果存入索引中
            AllQueueInsert = qmsQueueResultService.getQueueInsert(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_queue_insert");
            //添加id
            map.put("indexId","queueInsertId");
            AllQueueInsert.add(map);
            //新建索引
            esFeign.insertIndex(AllQueueInsert);
            //删除
            AllQueueInsert.remove(AllQueueInsert.size()-1);
        }
        if(AllQueueInsert == null)
            AllQueueInsert = qmsQueueResultService.getQueueInsert(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> queueInsert = qmsQueueResultService.getQueueInsert(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllQueueInsert,queueInsert);
        return success(pageList);

    }

    @ApiOperation(value="查询排队结束")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(133)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/getQueueEndResult")
    public RESTfulResult getQueueEndResult(@RequestBody(required=false) Map<String,Object> mapValue,
                                              Integer apiId,
                                              Integer pageNum,
                                              Integer pageSize,
                                              String con
    ){

        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_queue_endresult";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllQueueEndInsert = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == 0){
            //将查询结果存入索引中
            AllQueueEndInsert = qmsQueueResultService.getQueueEndResult(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_queue_endresult");
            //添加id
            map.put("indexId","queueEndResultId");
            AllQueueEndInsert.add(map);
            //新建索引
            esFeign.insertIndex(AllQueueEndInsert);
            //删除
            AllQueueEndInsert.remove(AllQueueEndInsert.size()-1);
        }
        if(AllQueueEndInsert == null)
            AllQueueEndInsert = qmsQueueResultService.getQueueEndResult(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> queueEndInsert = qmsQueueResultService.getQueueEndResult(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllQueueEndInsert,queueEndInsert);
        return success(pageList);
    }

    @ApiOperation(value="汽车监控(仓库)")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(135)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/capacityMonitor")
    public RESTfulResult capacityMonitor(@RequestBody(required=false) Map<String,Object> mapValue,
                                           Integer apiId,
                                           Integer pageNum,
                                           Integer pageSize,
                                           Integer gridType,
                                           String con
    ){
        mapValue.put("gridType", gridType);


        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_capacity_monitor";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllCapacityMonitor = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == 1){
            //将查询结果存入索引中
            AllCapacityMonitor = qmsQueueResultService.capacityMonitor(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_capacity_monitor");
            //添加id
            map.put("indexId","capacityMonitorId");
            AllCapacityMonitor.add(map);
            //新建索引
            esFeign.insertIndex(AllCapacityMonitor);
            //删除
            AllCapacityMonitor.remove(AllCapacityMonitor.size()-1);
        }
        if(AllCapacityMonitor == null)
            AllCapacityMonitor = qmsQueueResultService.capacityMonitor(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> capacityMonitor = qmsQueueResultService.capacityMonitor(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllCapacityMonitor,capacityMonitor);
        return success(pageList);

    }


    @ApiOperation(value="查询各仓库，门岗的排队状态列表")
    @PostMapping("/getQueueStatusList")
    public RESTfulResult getQueueStatusList(){
        List<Map<String, Object>> queueStatusList = qmsQueueResultService.getQueueStatusList();
        return success(queueStatusList);
    }

    @ApiOperation(value="通过车牌号查询司机接收排队信息")
    @PostMapping("/getOrderReceive/{capacityNumber}")
    public RESTfulResult getOrderReceive(@PathVariable("capacityNumber") String capacityNumber){
        List<Map<String, Object>> orderReceiveMap = qmsQueueResultService.getOrderReceive2(capacityNumber);
        return success(orderReceiveMap);
    }

    @ApiOperation(value="通过车牌号取消排队")
    @PostMapping("/cancelQueue")
    public RESTfulResult cancelQueue(@RequestBody Map<String,Object> mapValue){
        int code = qmsQueueResultService.cancelQueue(mapValue);
        return success(code);
    }

    //========================================仓库=====================================================
    @ApiOperation(value="新增仓库排队")
    @PostMapping("/addQueueResultByCk")
    public RESTfulResult addQueueResultByCk(@RequestBody Map<String,Object> mapValue){
        int code = qmsQueueResultService.addQueueResultByCk(mapValue);
        return success(code);
    }

    @ApiOperation(value="查询仓库排队申请")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(187)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/getWarehouseQueueApply")
    public RESTfulResult getWarehouseQueueApply(@RequestBody(required=false) Map<String,Object> mapValue,
                                       Integer apiId,
                                       Integer pageNum,
                                       Integer pageSize,
                                       String con
    ){


        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_warehouse_queue";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllWarehouseQueue = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == 0){
            //将查询结果存入索引中
            AllWarehouseQueue = qmsQueueResultService.getWarehouseQueueApply(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_warehouse_queue");
            //添加id
            map.put("indexId","warehouseQueueId");
            AllWarehouseQueue.add(map);
            //新建索引
            esFeign.insertIndex(AllWarehouseQueue);
            //删除
            AllWarehouseQueue.remove(AllWarehouseQueue.size()-1);
        }
        if(AllWarehouseQueue == null)
            AllWarehouseQueue = qmsQueueResultService.getWarehouseQueueApply(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> warehouseQueueApply1= qmsQueueResultService.getWarehouseQueueApply(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllWarehouseQueue,warehouseQueueApply1);
        return success(pageList);
    }

    @ApiOperation(value="查询仓库排队开始")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(191)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/getWarehouseQueueListByQueueUp")
    public RESTfulResult getWarehouseQueueListByQueueUp(@RequestBody(required=false) Map<String,Object> mapValue,
                                                Integer apiId,
                                                Integer pageNum,
                                                Integer pageSize,
                                                String con
    ){


        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_warehouse_list";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllWarehouseQueueList = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == 0){
            //将查询结果存入索引中
            AllWarehouseQueueList = qmsQueueResultService.getWarehouseQueueListByQueueUp(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_warehouse_list");
            //添加id
            map.put("indexId","warehouseQueueListId");
            AllWarehouseQueueList.add(map);
            //新建索引
            esFeign.insertIndex(AllWarehouseQueueList);
            //删除
            AllWarehouseQueueList.remove(AllWarehouseQueueList.size()-1);
        }
        if(AllWarehouseQueueList == null)
            AllWarehouseQueueList = qmsQueueResultService.getWarehouseQueueListByQueueUp(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> warehouseQueueList= qmsQueueResultService.getWarehouseQueueListByQueueUp(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllWarehouseQueueList,warehouseQueueList);
        return success(pageList);
    }

    @ApiOperation(value="查询仓库排队详情")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(192)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/getAllWarehouseQueueMes")
    public RESTfulResult getAllWarehouseQueueMes(@RequestBody(required=false) Map<String,Object> mapValue,
                                                        Integer apiId,
                                                        Integer pageNum,
                                                        Integer pageSize,
                                                        Integer platformId,
                                                        String con
    ){
        int count=0;
        if(platformId != null){
            mapValue.put("platformId", platformId);
            count++;
        }


        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_warehousemes_list";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllWarehouseQueueMes = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == count){
            //将查询结果存入索引中
            AllWarehouseQueueMes = qmsQueueResultService.getWarehouseQueueMes(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_warehousemes_list");
            //添加id
            map.put("indexId","warehouseMesListId");
            AllWarehouseQueueMes.add(map);
            //新建索引
            esFeign.insertIndex(AllWarehouseQueueMes);
            //删除
            AllWarehouseQueueMes.remove(AllWarehouseQueueMes.size()-1);
        }
        if(AllWarehouseQueueMes == null)
            AllWarehouseQueueMes = qmsQueueResultService.getWarehouseQueueMes(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> warehouseQueueList= qmsQueueResultService.getWarehouseQueueMes(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllWarehouseQueueMes,warehouseQueueList);
        return success(pageList);
    }

    @ApiOperation(value="通过运输订单号查询仓库排队详情")
    @PostMapping("/getWarehouseQueueMes")
    public RESTfulResult getWarehouseQueueMes(Map<String, Object> map){
        List<Map<String, Object>> warehouseQueueMes = qmsQueueResultService.getWarehouseQueueMes(map);
        return success(warehouseQueueMes);
    }


    @ApiOperation(value="查询仓库排队转移")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(193)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/getWarehouseQueueChange")
    public RESTfulResult getWarehouseQueueChange(@RequestBody(required=false) Map<String,Object> mapValue,
                                                 Integer apiId,
                                                 Integer pageNum,
                                                 Integer pageSize,
                                                 String con
    ){


        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_warechange_list";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllWarehouseQueueChange = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == 0){
            //将查询结果存入索引中
            AllWarehouseQueueChange = qmsQueueResultService.getWarehouseQueueChange(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_warechange_list");
            //添加id
            map.put("indexId","warehouseChangeListId");
            AllWarehouseQueueChange.add(map);
            //新建索引
            esFeign.insertIndex(AllWarehouseQueueChange);
            //删除
            AllWarehouseQueueChange.remove(AllWarehouseQueueChange.size()-1);
        }
        if(AllWarehouseQueueChange == null)
            AllWarehouseQueueChange = qmsQueueResultService.getWarehouseQueueChange(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> warehouseQueueList= qmsQueueResultService.getWarehouseQueueChange(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllWarehouseQueueChange,warehouseQueueList);
        return success(pageList);

    }

    @ApiOperation(value="查询仓库排队结束")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(194)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
    })
    @PostMapping("/getWarehouseQueueEndMes")
    public RESTfulResult getWarehouseQueueEndMes(@RequestBody(required=false) Map<String,Object> mapValue,
                                                 Integer apiId,
                                                 Integer pageNum,
                                                 Integer pageSize,
                                                 String con
    ){
        if(con != null){
            if(!"undefined".equals(con)){
                //设置要查询的索引名称
                String index="get_warequeue_endmes";
                //获取查询结果
                return success(esFeign.getConResult(mapValue,index,apiId,pageNum,pageSize,con));
            }
        }
        List<Map<String, Object>> AllWarehouseQueueEndMes = null;
        //如果有条件查询则跳过初始化，和创建索引
        if(mapValue.size() == 0){
            //将查询结果存入索引中
            AllWarehouseQueueEndMes = qmsQueueResultService.getWarehouseQueueEndMes(mapValue);
            Map<String, Object> map = new HashMap<>();
            //添加索引
            map.put("index","get_warequeue_endmes");
            //添加id
            map.put("indexId","wareQueueEndMesId");
            AllWarehouseQueueEndMes.add(map);
            //新建索引
            esFeign.insertIndex(AllWarehouseQueueEndMes);
            //删除
            AllWarehouseQueueEndMes.remove(AllWarehouseQueueEndMes.size()-1);
        }
        if(AllWarehouseQueueEndMes == null)
            AllWarehouseQueueEndMes = qmsQueueResultService.getWarehouseQueueEndMes(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> warehouseQueueList= qmsQueueResultService.getWarehouseQueueEndMes(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, AllWarehouseQueueEndMes,warehouseQueueList);
        return success(pageList);

    }


}
